package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcJbsjndfltj;
import com.ruoyi.tcZz.mapper.TcJbsjndfltjMapper;
import com.ruoyi.tcZz.service.ITcJbsjndfltjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 举报事件年度分类统计Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcJbsjndfltjServiceImpl implements ITcJbsjndfltjService {
    @Autowired
    private TcJbsjndfltjMapper tcJbsjndfltjMapper;

    /**
     * 查询举报事件年度分类统计
     *
     * @param id 举报事件年度分类统计主键
     * @return 举报事件年度分类统计
     */
    @Override
    public TcJbsjndfltj selectTcJbsjndfltjById(Long id) {
        return tcJbsjndfltjMapper.selectTcJbsjndfltjById(id);
    }

    /**
     * 查询举报事件年度分类统计列表
     *
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 举报事件年度分类统计
     */
    @Override
    public List<TcJbsjndfltj> selectTcJbsjndfltjList(TcJbsjndfltj tcJbsjndfltj) {
        return tcJbsjndfltjMapper.selectTcJbsjndfltjList(tcJbsjndfltj);
    }

    /**
     * 新增举报事件年度分类统计
     *
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 结果
     */
    @Override
    public int insertTcJbsjndfltj(TcJbsjndfltj tcJbsjndfltj) {
        tcJbsjndfltj.setCreateTime(DateUtils.getNowDate());
        return tcJbsjndfltjMapper.insertTcJbsjndfltj(tcJbsjndfltj);
    }

    /**
     * 修改举报事件年度分类统计
     *
     * @param tcJbsjndfltj 举报事件年度分类统计
     * @return 结果
     */
    @Override
    public int updateTcJbsjndfltj(TcJbsjndfltj tcJbsjndfltj) {
        tcJbsjndfltj.setUpdateTime(DateUtils.getNowDate());
        return tcJbsjndfltjMapper.updateTcJbsjndfltj(tcJbsjndfltj);
    }

    /**
     * 批量删除举报事件年度分类统计
     *
     * @param ids 需要删除的举报事件年度分类统计主键
     * @return 结果
     */
    @Override
    public int deleteTcJbsjndfltjByIds(Long[] ids) {
        return tcJbsjndfltjMapper.deleteTcJbsjndfltjByIds(ids);
    }

    /**
     * 删除举报事件年度分类统计信息
     *
     * @param id 举报事件年度分类统计主键
     * @return 结果
     */
    @Override
    public int deleteTcJbsjndfltjById(Long id) {
        return tcJbsjndfltjMapper.deleteTcJbsjndfltjById(id);
    }

    @Override
    public String importUser(List<TcJbsjndfltj> tcJbsjndfltjList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcJbsjndfltjList.isEmpty()) {
            for (TcJbsjndfltj tcJbsjndfltj : tcJbsjndfltjList) {
                tcJbsjndfltjMapper.insertTcJbsjndfltj(tcJbsjndfltj);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcJbsjndfltjMapper.updateByisStatus(isStatus,ids);
    }
}

